Available buyer market: Korea
This API retrieves the comprehensive list of brands registered and enrolled by the vendor.
Path
GET
/v2/providers/seller_api/apis/api/v1/marketplace/brands/enrolled
Example Endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/brands/enrolled
Request Parameters
Body Parameter
None
Request Example
None
Response Message
| Name | Type | Description | |
|---|---|---|---|
| code | String | Result code SUCCESS/ERROR | |
| message | String | Result message | |
| data | Array<EnrolledBrand> | List of enrolled brands | |
| brandId | String | Unique brand identifier (e.g. KR-5) | |
| brandName | String | Brand name (e.g. NIKE) | |
Response Example
{
"code": "SUCCESS",
"message": "",
"data": [
{
"brandId": "KR-5",
"brandName": "NIKE"
},
{
"brandId": "KR-12",
"brandName": "SAMSUNG"
}
]
}Error Spec
| HTTP status code (error type) | Error message | How to resolve |
|---|---|---|
| 401 Unauthorized | Authentication failed | Verify your HMAC authentication credentials |